%define major 1.4
%define minor 2
%define distversion 1_4_2
%define priority 142

%define j2se_name j2se%major-sun

Name: %j2se_name-doc
Version: %major.%minor
Release: alt3

Summary: Documentation for Java 2 SDK, Standard Edition
Group: Development/Java
Copyright: Free for internal use

%define distname j2sdk-%distversion-doc
%define pkgdocdir %_defaultdocdir/j2se-sun-%version

Requires: %j2se_name-javadoc = %version-%release

BuildArch: noarch

Source0: %distname.zip

%define _compress_method skip
%define _verify_elf_method skip

AutoReqProv: no

BuildPreReq: rpm-build-java
BuildRequires: unzip

%description
This package contains documentation on the Java(TM) 2 SDK, Standard Edition,
in HTML format.

%package -n %j2se_name-javadoc
Summary: API documentation for Java 2 SDK, Standard Edition
Group: Development/Java
Requires: java-common
Requires(post,preun): alternatives >= 0.2.0

%description -n %j2se_name-javadoc
This package contains Javadoc-generated API documentation on the
Java(TM) 2 SDK, Standard Edition, in HTML format.

%prep
%setup -q -c
find docs -type f -name '*~' -print0 | xargs -r0 %__rm -f
find docs -type f -perm -a+x -print0 | xargs -r0 %__chmod a-x

%install
%__install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
%__cp -a docs/* $RPM_BUILD_ROOT%pkgdocdir

%__mkdir_p $RPM_BUILD_ROOT%_altdir
%__cat <<EOF >$RPM_BUILD_ROOT%_altdir/%name
%_javadocdir/j2se	%pkgdocdir/api	%priority
EOF

%post -n %j2se_name-javadoc
%register_alternatives %name

%preun -n %j2se_name-javadoc
%unregister_alternatives %name

%files
%pkgdocdir
%exclude %pkgdocdir/api

%files -n %j2se_name-javadoc
%_altdir/%name
%dir %pkgdocdir
%pkgdocdir/api

%changelog
* Sun Nov 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt3
- Separated a javadoc subpackage

* Sat Oct 04 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt2
- Added unzip to BuildRequires

* Fri Jul 25 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt1
- Updated to 1.4.2

* Tue Nov 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.1-alt1
- 1.4.1
- more readable docdir name
- skip prep stage, unpacking to buildroot

* Thu Apr 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Thu May 31 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.1-alt1
- 1.3.1

* Sat Apr 28 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.3.0update1-alt1
- Set name to jdk-sun-doc
- ALTLinux release tagging
- documentation goes to %_docdir

* Sun Dec 10 2000 Mikhail Zabaluev <mookid@sigent.ru>
- initial package created
